ruby-kramdown (2.3.1-1~fto10+1) buster-fasttrack; urgency=medium

  * Rebuild for buster-fasttrack.

 -- Pirate Praveen <praveen@debian.org>  Fri, 30 Apr 2021 13:32:20 +0530

ruby-kramdown (2.3.1-1) experimental; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Daniel Leidert ]
  * ruby-kramdown (2.3.0-5) UNRELEASED
  * Fix typo in manual page and update patch headers
  * Add patch to deal with rouge 3.22
  * Update watch file standard to v4
  * Bumpt to standards version 4.5.1
  * Use gem installation layout

  [ Salvatore Bonaccorso ]
  * Import Debian changes 1.17.0-1+deb10u1

  [ Pirate Praveen ]
  * New upstream version 2.3.1
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 13
  * Refresh patches (remove patches applied upstream)
  * Disable failing tests

 -- Pirate Praveen <praveen@debian.org>  Wed, 28 Apr 2021 15:39:13 +0530

ruby-kramdown (2.3.0-5) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix arbitrary code execution vulnerability
    [CVE-2021-28834] (Closes: #985569)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 03 Apr 2021 10:39:28 -0300

ruby-kramdown (1.17.0-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add option forbidden_inline_options (CVE-2020-14001) (Closes: #965305)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 31 Jul 2020 21:56:26 +0200

ruby-kramdown (2.3.0-4) unstable; urgency=medium

  * Recommend ruby-rouge, for out-of-the-box syntax highlighting
  * Use github as the source in copyright file
  * Add upstream/metadata
  * Bump debhelper compatibility level to 13

 -- Cédric Boutillier <boutil@debian.org>  Mon, 24 Aug 2020 23:43:15 +0200

ruby-kramdown (2.3.0-3) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Aug 2020 15:53:28 +0530

ruby-kramdown (2.3.0-2+fto10+1) buster-fasttrack; urgency=medium

  * Rebuild for buster-fasttrack (ruby-rexml tests fail with ruby 2.5).
  * Bump minimum version of gem2deb to 1.3~ for building with ruby 2.7

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Aug 2020 00:46:58 +0530

ruby-kramdown (2.3.0-2) experimental; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * Set Rules-Requires-Root to no
  * Suggest ruby-kramdown-parser-gfm
  * add in changelog that 2.3.0-1 fixed #960622

  [ Pirate Praveen ]
  * Cleanup dependencies to match gemspec

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Aug 2020 23:53:54 +0530

ruby-kramdown (2.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.3.0 (Closes: #965305, #960622)
    (Fixes: CVE-2020-14001)
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Drop patches not needed anymore

 -- Pirate Praveen <praveen@debian.org>  Tue, 21 Jul 2020 21:02:27 +0530

ruby-kramdown (1.17.0-4) unstable; urgency=medium

  * Team upload.
  * Ship gemspec once again (Closes: #950107)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 Jan 2020 17:34:20 +0000

ruby-kramdown (1.17.0-3) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright.

  [ Helmut Grohne ]
  * Split kramdown command into a separate Multi-Arch: foreign package
    (Closes: #907344)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 20 Jan 2020 07:34:20 +0000

ruby-kramdown (1.17.0-2) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Update standards version to 4.2.1, no changes needed.
  * Bump debhelper from old 11 to 12.

  [ Chris Hofstaedtler ]
  * Bump Standards Version to 4.4.1

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 20 Jan 2020 07:17:37 +0000

ruby-kramdown (1.17.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.17.0
  * Use salsa.debian.org in Vcs-* fields
  * Move debian/watch to gemwatch.debian.net
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Refresh fix_manpage_warnings.patch
  * Refresh skip_missing_math_engines.patch

 -- Cédric Boutillier <boutil@debian.org>  Sun, 19 Aug 2018 16:08:26 +0200

ruby-kramdown (1.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.15.0
    * Add full support for ruby-rouge >= 2 in tests (Closes: #877320)
  * Drop rouge2.patch, not needed any more
  * Bump Standards-Version to 4.1.1 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Sun, 01 Oct 2017 15:38:06 +0200

ruby-kramdown (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Refresh patches
  * Add patch: replase Unicode char to ASCII
  * Bump Standard Version: 4.0.0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Aug 2017 20:33:35 +0900

ruby-kramdown (1.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.12.0
  * Refresh skip_missing_math_engines.patch
  * Remove fix-datadir-path.patch, applied upstream
  * Modify rouge2.patch to put rouge 2.x syntax-highlighter in legacy mode for
    compatibility, and incidentally restore pre tag around code blocks
    (Closes: #833788)

 -- Cédric Boutillier <boutil@debian.org>  Sat, 27 Aug 2016 11:39:34 +0200

ruby-kramdown (1.11.1-3) unstable; urgency=medium

  * Team upload
  * Depend on ruby-rouge >= 2
  * Add rouge2.patch to adapt tests to new ruby-rouge major version

 -- Cédric Boutillier <boutil@debian.org>  Mon, 04 Jul 2016 00:08:28 +0200

ruby-kramdown (1.11.1-2) unstable; urgency=medium

  * Fix path for the link to jquery (Closes: #801121)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 08 Jun 2016 23:39:41 +0200

ruby-kramdown (1.11.1-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 1.11.1
  * Bump Standards-Version to 3.9.8
  * Drop symlink for rdoc template, css, js, fonts to a specific version of
    ruby
  * Add fix-datadir-path.patch to detect installed data files
  * Refresh skip_missing_math_engines.patch
  * Set Testsuite field to autopkgtest-pkg-ruby

 -- Cédric Boutillier <boutil@debian.org>  Wed, 08 Jun 2016 22:47:17 +0200

ruby-kramdown (1.10.0-1) unstable; urgency=medium

  [ Youhei SASAKI ]
  * Imported Upstream version 1.9.0
  * Refresh patch

  [ Praveen Arimbrathodiyil ]
  * check gemspec dependencies during build

  [ Cédric Boutillier ]
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 16 Mar 2016 22:18:37 +0900

ruby-kramdown (1.9.0-1) unstable; urgency=medium

  * Imported Upstream version 1.9.0
  * Refresh patch
  * Create symlink for rdoc template, css, js, fonts
  * Check gemspec dependencies during build

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 23 Nov 2015 19:20:13 +0900

ruby-kramdown (1.8.0-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 1.8.0
  * Change slightly the beginning of the long description, update homepage
  * Add years to the debian/copyright
  * Add patch to skip tests using unavailable math engines
  * Build-depend on texlive-latex-extra and texlive-fonts-recommended to run
    latex-related tests
  * Depend and build-depend on ruby-rouge >= 1.8

 -- Cédric Boutillier <boutil@debian.org>  Mon, 20 Jul 2015 09:09:07 +0200

ruby-kramdown (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Install missing data files (Closes: #774661)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 08 Apr 2015 10:56:27 +0200

ruby-kramdown (1.4.2-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 1.4.2
  * Depend and build-depend on ruby-prawn-table (Closes: #761527)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Exchange the order of Files paragraphs in debian/copyright (first global,
    then for debian/* files)

 -- Cédric Boutillier <boutil@debian.org>  Mon, 29 Sep 2014 23:24:54 +0200

ruby-kramdown (1.4.1-1) unstable; urgency=medium

  * Imported Upstream version 1.4.1
  * Drop patch: merge upstream

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 12 Aug 2014 03:37:48 +0900

ruby-kramdown (1.4.0-1) unstable; urgency=medium

  * Imported Upstream version 1.4.0
  * Change copyright: upstream change GPL-3 -> MIT/X11

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 31 Jul 2014 21:04:02 +0900

ruby-kramdown (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Remove specific dependency to rdoc 1.9.1 (Closes: #746074)

 -- Sebastien Badia <seb@sebian.fr>  Sun, 27 Apr 2014 21:59:02 +0200

ruby-kramdown (1.3.3-1) unstable; urgency=medium

  * Imported Upstream version 1.3.3
  * Bump Standard Version: 3.9.5, Compat: 9
  * Update Build-Depends, Depends: ruby-prawn, ruby-minitest

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 23 Mar 2014 22:38:50 +0900

ruby-kramdown (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 04 Sep 2013 17:02:06 +0900

ruby-kramdown (1.1.0-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields
  * debian/copyright: use DEP5 copyright-format/1.0 official URL

  [ Youhei SASAKI ]
  * Bump standard version: 3.9.4
  * Imported Upstream version 1.1.0
  * Add Depends, Build-Depends: ruby-stringex
  * Add patch: 0001-Fix_StringEx_Require
  * Upload to unstable

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 20 Aug 2013 05:06:30 +0900

ruby-kramdown (0.14.2-1) experimental; urgency=low

  * Imported Upstream version 0.14.2

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 26 Jan 2013 21:28:12 +0900

ruby-kramdown (0.14.1-1) unstable; urgency=low

  * Imported Upstream version 0.14.1
  * Add Build-Depends: tidy
    - Running all tests during build
  * Add debian/ruby-kramdown.doc-base for doc-base support
  * Fix debian/rules: follow upstream filename change

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 07 Dec 2012 23:32:38 +0900

ruby-kramdown (0.14.0-1) unstable; urgency=low

  * Imported Upstream version 0.14.0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Nov 2012 15:45:06 +0900

ruby-kramdown (0.13.7-2) unstable; urgency=low

  * debian/control:
    - Bumped gem2deb build-dependency to >= 0.3.0~.
    - Added myself to the uploaders.

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 26 Jun 2012 22:15:37 +0200

ruby-kramdown (0.13.7-1) unstable; urgency=low

  * Imported Upstream version 0.13.7

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 12 Jun 2012 18:40:43 +0900

ruby-kramdown (0.13.5-1) unstable; urgency=low

  * Initial release (Closes: #666878)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 27 Feb 2012 10:47:58 +0900
